Crawler chaining lets you connect two squids so that when a run on the source squid completes, its results are automatically extracted and queued as tasks on a target squid, triggering a new run downstream.Example use case: Run a Google Maps Leads scrape to collect place URLs, then automatically pass those URLs into a Google Maps Reviews scrape — without any manual intervention.
Chains are limited to a maximum depth of 3 squids. A squid can only have one outgoing chain at a time.
You configure a chain on a source squid, specifying the target crawler and a field_map
When a run on the source squid completes with a status of DONE, the scheduler extracts the mapped fields from its results
Those values are queued as tasks on the target squid (auto-created on first trigger if it doesn’t exist yet)
If autostart is true, a new run starts immediately on the target squid
The chain is only triggered when the source run reaches a status of DONE. Runs that end with ERROR or any other status will not trigger the downstream chain.
Maps a result field from the source crawler to an input parameter on the target crawler. Example: {"url": "url"} — passes the url field from source results as the url input on the target.
If true, the downstream run starts automatically when tasks are queued. If false, tasks are queued and the run is created as paused for manual review. Defaults to true.
{ "error": "field_map is required and must be a dict."}
409
{ "error": "This squid already has a chain configured."}
422
{ "error": "Chain depth limit of 3 reached."}
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"lobstr.io","colors":{"primary":"#ff0000","light":"#ff3333","dark":"#cc0000"},"logo":{"light":"https://mintcdn.com/lobstrio-1abc571c/DC4W-U36rZa-JMtR/logo/light.svg?fit=max\u0026auto=format\u0026n=DC4W-U36rZa-JMtR\u0026q=85\u0026s=57f8a1cecd8d7769fa2a89b10a92e3d3","dark":"https://mintcdn.com/lobstrio-1abc571c/DC4W-U36rZa-JMtR/logo/dark.svg?fit=max\u0026auto=format\u0026n=DC4W-U36rZa-JMtR\u0026q=85\u0026s=45241588af9c1e3237e448279a993681"},"favicon":"https://mintcdn.com/lobstrio-1abc571c/to9RtopRArtv238L/favicon.svg?fit=max\u0026auto=format\u0026n=to9RtopRArtv238L\u0026q=85\u0026s=a8baa387944aae029967a070d3815fd3","api":{"mdx":{"auth":{"method":"bearer"},"server":"https://api.lobstr.io"}},"navbar":{"links":[{"href":"https://www.lobstr.io","label":"lobstr.io"}],"primary":{"type":"button","label":"Get Started","href":"https://app.lobstr.io"}},"styling":{"latex":true},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"lobstrio-1abc571c","hasAudioNarration":false,"actualSubdomain":"lobstrio-1abc571c","customDomains":["docs.lobstr.io"],"gitSource":{"type":"github","owner":"lobstrio","repo":"docs","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6adfb644689cef566e3e2005","collectionId":"5996aacd-acd1-45b7-9934-bb83e4f01b0e","schemaVersion":"v3","latestBuiltDeploymentHistoryId":"6adfb644689cef566e3e2005"},"entitlements":{"AI_CHAT":{"status":"DISABLED"}},"buildId":"6adfb644689cef566e3e2005","clientVersion":"0.0.3971","searchFilterCounts":[{"language":"default","tag":"Examples","count":329},{"language":"default","tag":"API Reference","count":60},{"language":"default","tag":"Changelog","count":33},{"language":"default","tag":"2026","count":32},{"language":"default","tag":"Run","count":10},{"language":"default","tag":"Squid","count":10},{"language":"default","tag":"Account","count":9},{"language":"default","tag":"Developer Tools","count":8},{"language":"default","tag":"Google Maps Leads Scraper","count":7},{"language":"default","tag":"Task","count":6}]},"assistantConfig":{"enableAskAiButton":false,"enableStarterQuestions":false,"enableContextualStarterQuestions":false,"enableAskAiSearchBar":true},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[],"isAtlas":false,"googleFontsInlined":false},"customCss":[],"page":{"pagePath":"docs/configure-squid-chain","slug":"/docs/configure-squid-chain","pageMetadata":{"title":"Configure Squid Chain","description":"Chain two crawlers together so results from one automatically feed into another","api":"POST https://api.lobstr.io/v1/squids/{id}/chain","href":"/docs/configure-squid-chain"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Chain two crawlers together so results from one automatically feed into another\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={code:`code`,li:`li`,ol:`ol`,p:`p`,pre:`pre`,span:`span`,strong:`strong`,..._provideComponents(),...props.components},{CodeBlock,CodeGroup,Expandable,Heading,Note,ParamField,ResponseField,Warning}=_components;if(!CodeBlock)_missingMdxReference(`CodeBlock`,true);if(!CodeGroup)_missingMdxReference(`CodeGroup`,true);if(!Expandable)_missingMdxReference(`Expandable`,true);if(!Heading)_missingMdxReference(`Heading`,true);if(!Note)_missingMdxReference(`Note`,true);if(!ParamField)_missingMdxReference(`ParamField`,true);if(!ResponseField)_missingMdxReference(`ResponseField`,true);if(!Warning)_missingMdxReference(`Warning`,true);return _jsxs(_Fragment,{children:[_jsxs(_components.p,{children:[`Crawler chaining lets you connect two squids so that when a run on the `,_jsx(_components.strong,{children:`source squid`}),` completes, its results are automatically extracted and queued as tasks on a `,_jsx(_components.strong,{children:`target squid`}),`, triggering a new run downstream.`]}),`\n`,_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Example use case:`}),` Run a Google Maps Leads scrape to collect place URLs, then automatically pass those URLs into a Google Maps Reviews scrape — without any manual intervention.`]}),`\n`,_jsx(Note,{children:_jsx(_components.p,{children:`Chains are limited to a maximum depth of 3 squids. A squid can only have one outgoing chain at a time.`})}),`\n`,_jsx(Heading,{level:`2`,id:`how-it-works`,children:`How it works`}),`\n`,_jsxs(_components.ol,{children:[`\n`,_jsxs(_components.li,{children:[`You configure a chain on a source squid, specifying the target crawler and a `,_jsx(_components.code,{children:`field_map`})]}),`\n`,_jsxs(_components.li,{children:[`When a run on the source squid completes with a status of `,_jsx(_components.strong,{children:_jsx(_components.code,{children:`DONE`})}),`, the scheduler extracts the mapped fields from its results`]}),`\n`,_jsx(_components.li,{children:`Those values are queued as tasks on the target squid (auto-created on first trigger if it doesn’t exist yet)`}),`\n`,_jsxs(_components.li,{children:[`If `,_jsx(_components.code,{children:`autostart`}),` is `,_jsx(_components.code,{children:`true`}),`, a new run starts immediately on the target squid`]}),`\n`]}),`\n`,_jsx(Warning,{children:_jsxs(_components.p,{children:[`The chain is only triggered when the source run reaches a status of `,_jsx(_components.code,{children:`DONE`}),`. Runs that end with `,_jsx(_components.code,{children:`ERROR`}),` or any other status will not trigger the downstream chain.`]})}),`\n`,_jsx(Heading,{level:`2`,id:`path-parameters`,children:`Path Parameters`}),`\n`,_jsx(ParamField,{path:`id`,type:`string`,required:true,id:`param-id`,children:_jsxs(_components.p,{children:[`Hash ID of the source squid. Example: `,_jsx(_components.code,{children:`\"e86b29c032024b66aff529e1d43c2bd7\"`})]})}),`\n`,_jsx(Heading,{level:`2`,id:`headers`,children:`Headers`}),`\n`,_jsx(ParamField,{header:`Authorization`,type:`string`,required:true,id:`param-authorization`,children:_jsxs(_components.p,{children:[`Your API authentication token. Value: `,_jsx(_components.code,{children:`Token YOUR_API_KEY`})]})}),`\n`,_jsx(ParamField,{header:`Content-Type`,type:`string`,required:true,id:`param-content-type`,children:_jsxs(_components.p,{children:[`Must be application/json. Value: `,_jsx(_components.code,{children:`application/json`})]})}),`\n`,_jsx(Heading,{level:`2`,id:`request-body`,children:`Request Body`}),`\n`,_jsx(ParamField,{body:`target_module_id`,type:`string`,required:true,id:`param-target-module-id`,children:_jsxs(_components.p,{children:[`Hash ID of the target crawler. Use `,_jsx(_components.code,{children:`GET /v1/crawlers`}),` to find it. Example: `,_jsx(_components.code,{children:`\"9a3f1c8b2e7d4a56f0e1b2c3d4e5f678\"`})]})}),`\n`,_jsx(ParamField,{body:`field_map`,type:`object`,required:true,id:`param-field-map`,children:_jsxs(_components.p,{children:[`Maps a result field from the source crawler to an input parameter on the target crawler. Example: `,_jsx(_components.code,{children:`{\"url\": \"url\"}`}),` — passes the `,_jsx(_components.code,{children:`url`}),` field from source results as the `,_jsx(_components.code,{children:`url`}),` input on the target.`]})}),`\n`,_jsx(ParamField,{body:`autostart`,type:`boolean`,id:`param-autostart`,children:_jsxs(_components.p,{children:[`If `,_jsx(_components.code,{children:`true`}),`, the downstream run starts automatically when tasks are queued. If `,_jsx(_components.code,{children:`false`}),`, tasks are queued and the run is created as paused for manual review. Defaults to `,_jsx(_components.code,{children:`true`}),`.`]})}),`\n`,_jsx(ParamField,{body:`cluster_name`,type:`string`,id:`param-cluster-name`,children:_jsxs(_components.p,{children:[`Custom name for the auto-created target squid. If omitted, defaults to `,_jsx(_components.code,{children:`\"{Crawler Name} (N) (chained)\"`}),`.`]})}),`\n`,_jsx(ParamField,{body:`cluster_concurrency`,type:`integer`,id:`param-cluster-concurrency`,children:_jsxs(_components.p,{children:[`Concurrency to apply to the auto-created target squid. Defaults to `,_jsx(_components.code,{children:`1`}),`.`]})}),`\n`,_jsx(Heading,{level:`2`,id:`response-fields`,children:`Response Fields`}),`\n`,_jsx(ResponseField,{name:`id`,type:`string`,id:`param-id-1`,children:_jsx(_components.p,{children:`Unique chain config identifier.`})}),`\n`,_jsxs(ResponseField,{name:`target_module`,type:`object`,id:`param-target-module`,children:[_jsx(_components.p,{children:`Details of the target crawler.`}),_jsxs(Expandable,{title:`target_module fields`,children:[_jsx(ResponseField,{name:`id`,type:`string`,id:`param-id-2`,children:`Crawler hash ID`}),_jsx(ResponseField,{name:`public_name`,type:`string`,id:`param-public-name`,children:`Human-readable crawler name`}),_jsx(ResponseField,{name:`max_concurrency`,type:`integer`,id:`param-max-concurrency`,children:`Maximum concurrency supported by this crawler`})]})]}),`\n`,_jsx(ResponseField,{name:`target_cluster`,type:`object | null`,id:`param-target-cluster`,children:_jsxs(_components.p,{children:[`The auto-created target squid. `,_jsx(_components.code,{children:`null`}),` until the first chain trigger fires.`]})}),`\n`,_jsx(ResponseField,{name:`field_map`,type:`object`,id:`param-field-map-1`,children:_jsx(_components.p,{children:`The configured field mapping.`})}),`\n`,_jsx(ResponseField,{name:`is_active`,type:`boolean`,id:`param-is-active`,children:_jsx(_components.p,{children:`Whether the chain is currently active.`})}),`\n`,_jsx(ResponseField,{name:`autostart`,type:`boolean`,id:`param-autostart-1`,children:_jsx(_components.p,{children:`Whether downstream runs start automatically.`})}),`\n`,_jsx(ResponseField,{name:`cluster_name`,type:`string | null`,id:`param-cluster-name-1`,children:_jsx(_components.p,{children:`Configured name for the target squid.`})}),`\n`,_jsx(ResponseField,{name:`cluster_concurrency`,type:`integer | null`,id:`param-cluster-concurrency-1`,children:_jsx(_components.p,{children:`Configured concurrency for the target squid.`})}),`\n`,_jsx(ResponseField,{name:`created_at`,type:`string`,id:`param-created-at`,children:_jsx(_components.p,{children:`ISO 8601 timestamp of when the chain was configured.`})}),`\n`,_jsx(Heading,{level:`2`,id:`code-examples`,children:`Code Examples`}),`\n`,_jsxs(CodeGroup,{children:[_jsx(CodeBlock,{filename:`cURL`,numberOfLines:`10`,language:`shellscript`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`shellscript`,children:_jsxs(_components.code,{language:`shellscript`,numberOfLines:`10`,children:[_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#953800`,\"--shiki-dark\":`#DCDCAA`},children:`curl`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` -X`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` POST`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"https://api.lobstr.io/v1/squids/e86b29c032024b66aff529e1d43c2bd7/chain\"`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` -H`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"Authorization: Token YOUR_API_KEY\"`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` -H`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"Content-Type: application/json\"`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` -d`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` '{`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"target_module_id\": \"9a3f1c8b2e7d4a56f0e1b2c3d4e5f678\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"field_map\": {\"url\": \"url\"},`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"autostart\": true,`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"cluster_name\": \"Reviews (chained)\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"cluster_concurrency\": 3`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` }'`})}),`\n`]})})}),_jsx(CodeBlock,{filename:`Python`,numberOfLines:`17`,language:`python`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`python`,children:_jsxs(_components.code,{language:`python`,numberOfLines:`17`,children:[_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#C586C0`},children:`import`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` requests`})]}),`\n`,_jsx(_components.span,{className:`line`}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`url `}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:`=`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"https://api.lobstr.io/v1/squids/e86b29c032024b66aff529e1d43c2bd7/chain\"`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`headers `}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:`=`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"Authorization\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Token YOUR_API_KEY\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"Content-Type\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"application/json\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`payload `}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:`=`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"target_module_id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"9a3f1c8b2e7d4a56f0e1b2c3d4e5f678\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"field_map\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"url\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"url\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`},`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"autostart\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`True`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"cluster_name\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Reviews (chained)\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"cluster_concurrency\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`3`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`,_jsx(_components.span,{className:`line`}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`response `}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:`=`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` requests.post(url, `}),_jsx(_components.span,{style:{color:`#953800`,\"--shiki-dark\":`#9CDCFE`},children:`headers`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:`=`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`headers, `}),_jsx(_components.span,{style:{color:`#953800`,\"--shiki-dark\":`#9CDCFE`},children:`json`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:`=`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`payload)`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#DCDCAA`},children:`print`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`(response.json())`})]}),`\n`]})})})]}),`\n`,_jsx(Heading,{level:`2`,id:`response`,children:`Response`}),`\n`,_jsx(CodeBlock,{filename:`201`,numberOfLines:`16`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`16`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"a1b2c3d4e5f6a1b2c3d4e5f6a1b2c3d4\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"target_module\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"9a3f1c8b2e7d4a56f0e1b2c3d4e5f678\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"public_name\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Google Maps Reviews Scraper\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"name\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"googlemapreviews_matrix\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"max_concurrency\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`10`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"target_cluster\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`null`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"field_map\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\"url\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"url\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`},`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"is_active\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`true`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"autostart\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`true`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"cluster_name\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Reviews (chained)\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"cluster_concurrency\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`3`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"created_at\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"2026-04-28T10:00:00Z\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})}),`\n`,_jsx(CodeBlock,{filename:`400`,numberOfLines:`3`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`3`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"error\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"field_map is required and must be a dict.\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})}),`\n`,_jsx(CodeBlock,{filename:`409`,numberOfLines:`3`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`3`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"error\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"This squid already has a chain configured.\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})}),`\n`,_jsx(CodeBlock,{filename:`422`,numberOfLines:`3`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`3`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"error\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Chain depth limit of 3 reached.\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Configure Squid Chain","description":"Chain two crawlers together so results from one automatically feed into another","api":"POST https://api.lobstr.io/v1/squids/{id}/chain","href":"/docs/configure-squid-chain"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[{"title":"How it works","slug":"how-it-works","depth":2,"children":[]},{"title":"Path Parameters","slug":"path-parameters","depth":2,"children":[]},{"title":"Headers","slug":"headers","depth":2,"children":[]},{"title":"Request Body","slug":"request-body","depth":2,"children":[]},{"title":"Response Fields","slug":"response-fields","depth":2,"children":[]},{"title":"Code Examples","slug":"code-examples","depth":2,"children":[]},{"title":"Response","slug":"response","depth":2,"children":[]}],"codeExamples":{},"endpoint":{"title":"Configure Squid Chain","path":"/v1/squids/{id}/chain","servers":[{"url":"https://api.lobstr.io"}],"method":"post","request":{"security":[{"title":"Bearer Auth","parameters":{"header":{"Authorization":{"type":"http","scheme":"bearer","description":"Bearer authentication header of the form `Bearer \u003ctoken>`, where `\u003ctoken>` is your auth token."}},"query":{},"cookie":{}}}],"parameters":{"query":{},"header":{"Authorization":{"schema":[{"type":"string","description":"Your API authentication token. Value: `Token YOUR_API_KEY`","required":true}]},"Content-Type":{"schema":[{"type":"string","description":"Must be application/json. Value: `application/json`","required":true}]}},"cookie":{},"path":{"id":{"schema":[{"type":"string","description":"Hash ID of the source squid. Example: `\"e86b29c032024b66aff529e1d43c2bd7\"`","required":true}]}}},"body":{"application/json":{"schemaArray":[{"type":"object","properties":{"target_module_id":[{"type":"string","description":"Hash ID of the target crawler. Use `GET /v1/crawlers` to find it. Example: `\"9a3f1c8b2e7d4a56f0e1b2c3d4e5f678\"`","required":true}],"field_map":[{"type":"object","properties":{},"description":"Maps a result field from the source crawler to an input parameter on the target crawler. Example: `{\"url\": \"url\"}` — passes the `url` field from source results as the `url` input on the target.","required":true}],"autostart":[{"type":"boolean","description":"If `true` , the downstream run starts automatically when tasks are queued. If `false` , tasks are queued and the run is created as paused for manual review. Defaults to `true` ."}],"cluster_name":[{"type":"string","description":"Custom name for the auto-created target squid. If omitted, defaults to `\"{Crawler Name} (N) (chained)\"` ."}],"cluster_concurrency":[{"type":"integer","description":"Concurrency to apply to the auto-created target squid. Defaults to `1` ."}]}}],"examples":{"example":{"value":{"target_module_id":"\u003cstring>","field_map":{},"autostart":true,"cluster_name":"\u003cstring>","cluster_concurrency":123}}}}}},"response":{"200":{"application/json":{"schemaArray":[{"type":"object","properties":{"id":[{"type":"string","description":"Unique chain config identifier."}],"target_module":[{"type":"object","properties":{"id":[{"type":"string","description":"Crawler hash ID"}],"public_name":[{"type":"string","description":"Human-readable crawler name"}],"max_concurrency":[{"type":"integer","description":"Maximum concurrency supported by this crawler"}]},"description":"Details of the target crawler."}],"target_cluster":[{"type":"object","properties":{},"description":"The auto-created target squid. `null` until the first chain trigger fires."}],"field_map":[{"type":"object","properties":{},"description":"The configured field mapping."}],"is_active":[{"type":"boolean","description":"Whether the chain is currently active."}],"autostart":[{"type":"boolean","description":"Whether downstream runs start automatically."}],"cluster_name":[{"type":"object","properties":{},"description":"Configured name for the target squid."}],"cluster_concurrency":[{"type":"object","properties":{},"description":"Configured concurrency for the target squid."}],"created_at":[{"type":"string","description":"ISO 8601 timestamp of when the chain was configured."}]}}],"examples":{"example":{"value":{"id":"\u003cstring>","target_module":{"id":"\u003cstring>","public_name":"\u003cstring>","max_concurrency":123},"target_cluster":{},"field_map":{},"is_active":true,"autostart":true,"cluster_name":{},"cluster_concurrency":{},"created_at":"\u003cstring>"}}}}}},"deprecated":false}},"jsLinks":[],"subdomain":"lobstrio-1abc571c","siteName":"lobstr.io","title":"Configure Squid Chain - lobstr.io","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-04-29T07:44:26.440Z","originalFileLocation":"docs/configure-squid-chain.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Chain two crawlers together so results from one automatically feed into another\">\u003cmeta data-mint-head name=\"application-name\" content=\"lobstr.io\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/lobstrio-1abc571c/QoUCw7MJzBACafij/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/lobstrio-1abc571c/QoUCw7MJzBACafij/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/lobstrio-1abc571c/QoUCw7MJzBACafij/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/lobstrio-1abc571c/QoUCw7MJzBACafij/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/lobstrio-1abc571c/QoUCw7MJzBACafij/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/lobstrio-1abc571c/QoUCw7MJzBACafij/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/lobstrio-1abc571c/QoUCw7MJzBACafij/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/lobstrio-1abc571c/QoUCw7MJzBACafij/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/lobstrio-1abc571c/QoUCw7MJzBACafij/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Configure Squid Chain - lobstr.io\">\u003cmeta data-mint-head property=\"og:description\" content=\"Chain two crawlers together so results from one automatically feed into another\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"lobstr.io\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.lobstr.io/docs/configure-squid-chain\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://lobstrio-1abc571c.mintlify.app/_mintlify/api/og/v2?division=Squid\u0026amp;title=Configure+Squid+Chain\u0026amp;description=Chain+two+crawlers+together+so+results+from+one+automatically+feed+into+another\u0026amp;theme=8ea60e66a94c321fc923be1d\u0026amp;signature=b1995a9c33cecd213e47751c79d325b8010f9aa49cb1ff9c82bcd7fe18738556\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Configure Squid Chain - lobstr.io\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Chain two crawlers together so results from one automatically feed into another\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://lobstrio-1abc571c.mintlify.app/_mintlify/api/og/v2?division=Squid\u0026amp;title=Configure+Squid+Chain\u0026amp;description=Chain+two+crawlers+together+so+results+from+one+automatically+feed+into+another\u0026amp;theme=8ea60e66a94c321fc923be1d\u0026amp;signature=b1995a9c33cecd213e47751c79d325b8010f9aa49cb1ff9c82bcd7fe18738556\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/lobstrio-1abc571c/QoUCw7MJzBACafij/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"lobstr.io\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#ff0000\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.lobstr.io/docs/configure-squid-chain\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/docs/configure-squid-chain.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.lobstr.io/#organization\",\"name\":\"lobstr.io\",\"url\":\"https://docs.lobstr.io\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/lobstrio-1abc571c/DC4W-U36rZa-JMtR/logo/light.svg?fit=max\u0026auto=format\u0026n=DC4W-U36rZa-JMtR\u0026q=85\u0026s=57f8a1cecd8d7769fa2a89b10a92e3d3\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.lobstr.io#website\",\"name\":\"lobstr.io\",\"url\":\"https://docs.lobstr.io\",\"publisher\":{\"@id\":\"https://docs.lobstr.io/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.lobstr.io/docs/configure-squid-chain#webpage\",\"url\":\"https://docs.lobstr.io/docs/configure-squid-chain\",\"name\":\"Configure Squid Chain\",\"description\":\"Chain two crawlers together so results from one automatically feed into another\",\"dateModified\":\"2026-04-29T07:44:26.440Z\",\"isPartOf\":{\"@id\":\"https://docs.lobstr.io#website\"},\"breadcrumb\":{\"@id\":\"https://docs.lobstr.io/docs/configure-squid-chain#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.lobstr.io/docs/configure-squid-chain#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Squid\",\"item\":\"https://docs.lobstr.io/docs/create-squid\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Configure Squid Chain\",\"item\":\"https://docs.lobstr.io/docs/configure-squid-chain\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.lobstr.io/docs/configure-squid-chain#apireference\",\"headline\":\"Configure Squid Chain\",\"name\":\"Configure Squid Chain\",\"description\":\"Chain two crawlers together so results from one automatically feed into another\",\"url\":\"https://docs.lobstr.io/docs/configure-squid-chain\",\"mainEntityOfPage\":{\"@id\":\"https://docs.lobstr.io/docs/configure-squid-chain#webpage\"},\"dateModified\":\"2026-04-29T07:44:26.440Z\",\"publisher\":{\"@id\":\"https://docs.lobstr.io/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.lobstr.io#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"lobstr.io\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"lobstr.io","nav":{"global":null,"tabs":[{"tab":"API Reference","groups":[{"group":"Overview","pages":[{"title":"lobstr.io API Documentation","href":""}]},{"group":"Getting Started","pages":[{"title":"Quickstart","href":"/docs/quickstart"},{"title":"Authentication","api":"GET https://api.lobstr.io/v1/me","href":"/docs/authentication"},{"title":"Rate Limiting","href":"/docs/rate-limiting"}]},{"group":"Core Concepts","pages":[{"title":"Concepts","href":"/docs/concepts"},{"title":"Pricing","href":"/docs/pricing"},{"title":"Pagination","href":"/docs/pagination"},{"title":"Errors","href":"/docs/errors"},{"title":"Supported Timezones","href":"/docs/timezones"}]},{"group":"User","pages":[{"title":"Get User Profile","api":"GET https://api.lobstr.io/v1/me","href":"/docs/user-me"},{"title":"Get Balance","api":"GET https://api.lobstr.io/v1/user/balance","href":"/docs/get-balance"},{"title":"Auto Billing Reset","api":"GET https://api.lobstr.io/v1/plans/auto-reset","href":"/docs/auto-billing-reset"},{"title":"Rotate API Key","api":"POST https://api.lobstr.io/v1/me/rotate_token","href":"/docs/rotate-api-key"},{"title":"Community Story Rewards","href":"/docs/community-rewards"}]},{"group":"Crawler","pages":[{"title":"List Crawlers","api":"GET https://api.lobstr.io/v1/crawlers","href":"/docs/list-crawlers"},{"title":"Get Crawler Details","api":"GET https://api.lobstr.io/v1/crawlers/{crawler_hash}","href":"/docs/get-crawler-details"},{"title":"Get Crawler Parameters","api":"GET https://api.lobstr.io/v1/crawlers/{crawler_hash}/params","href":"/docs/get-crawler-parameters"},{"title":"Get Crawler Attributes","api":"GET https://api.lobstr.io/v1/crawlers/{crawler_hash}/attributes","href":"/docs/get-crawler-attributes"}]},{"group":"Squid","pages":[{"title":"Create Squid","api":"POST https://api.lobstr.io/v1/squids","href":"/docs/create-squid"},{"title":"Update Squid","api":"POST https://api.lobstr.io/v1/squids/{squid_hash}","href":"/docs/update-squid"},{"title":"List Squids","api":"GET https://api.lobstr.io/v1/squids","href":"/docs/list-squids"},{"title":"Get Squid Details","api":"GET https://api.lobstr.io/v1/squids/{squid_hash}","href":"/docs/get-squid-details"},{"title":"Empty Squid","api":"POST https://api.lobstr.io/v1/squids/{squid_hash}/empty","href":"/docs/empty-squid"},{"title":"Delete Squid","description":"Permanently delete a squid and all its associated data from your account","api":"DELETE https://api.lobstr.io/v1/squids/{squid_hash}","href":"/docs/delete-squid"},{"title":"Configure Squid Chain","api":"POST https://api.lobstr.io/v1/squids/{id}/chain","href":"/docs/configure-squid-chain"},{"title":"Get Squid Chain","description":"Retrieve the chain configuration for a squid","api":"GET https://api.lobstr.io/v1/squids/{id}/chain","href":"/docs/get-squid-chain"},{"title":"Update Squid Chain","api":"PATCH https://api.lobstr.io/v1/squids/{id}/chain","href":"/docs/update-squid-chain"},{"title":"Delete Squid Chain","api":"DELETE https://api.lobstr.io/v1/squids/{id}/chain","href":"/docs/delete-squid-chain"}]},{"group":"Delivery","pages":[{"title":"Configure Email Delivery","api":"POST https://api.lobstr.io/v1/delivery?squid={squid_hash}","href":"/docs/configure-email-delivery"},{"title":"Configure SFTP Delivery","api":"POST https://api.lobstr.io/v1/delivery?squid={squid_hash}","href":"/docs/configure-sftp-delivery"},{"title":"Configure Google Sheet Delivery","api":"POST https://api.lobstr.io/v1/delivery?squid={squid_hash}","href":"/docs/configure-google-sheet-delivery"},{"title":"Configure Amazon S3 Delivery","api":"POST https://api.lobstr.io/v1/delivery?squid={squid_hash}","href":"/docs/configure-s3-delivery"},{"title":"Configure Webhook Delivery","api":"POST https://api.lobstr.io/v1/delivery?squid={squid_hash}","href":"/docs/configure-webhook-delivery"},{"title":"Test Delivery Configuration","api":"POST https://api.lobstr.io/v1/delivery/test-webhook","href":"/docs/test-delivery"}]},{"group":"Account","pages":[{"title":"List Accounts","api":"GET https://api.lobstr.io/v1/accounts","href":"/docs/list-accounts"},{"title":"List Account Types","api":"GET https://api.lobstr.io/v1/account_types","href":"/docs/list-account-types"},{"title":"Get Account Details","api":"GET https://api.lobstr.io/v1/accounts/{account_hash}","href":"/docs/get-account-details"},{"title":"Link Account to Squid","api":"POST https://api.lobstr.io/v1/squids/{squid_hash}","href":"/docs/link-account-to-squid"},{"title":"Sync Account","api":"POST https://api.lobstr.io/v1/accounts/cookies","href":"/docs/sync-account"},{"title":"Check Sync Status","api":"GET https://api.lobstr.io/v1/synchronize/{sync_task_id}","href":"/docs/check-sync-status"},{"title":"Update Account Limits","api":"POST https://api.lobstr.io/v1/accounts","href":"/docs/update-account-limits"},{"title":"Refresh Cookies","api":"POST https://api.lobstr.io/v1/accounts/cookies","href":"/docs/refresh-cookies"},{"title":"Delete Account","api":"DELETE https://api.lobstr.io/v1/accounts/{account_hash}","href":"/docs/delete-account"}]},{"group":"Task","pages":[{"title":"Add Tasks","api":"POST https://api.lobstr.io/v1/tasks","href":"/docs/add-tasks"},{"title":"Upload Tasks","api":"POST https://api.lobstr.io/v1/tasks/upload","href":"/docs/upload-tasks"},{"title":"Check Upload Status","api":"GET https://api.lobstr.io/v1/tasks/upload/{upload_task_id}","href":"/docs/check-upload-status"},{"title":"List Tasks","api":"GET https://api.lobstr.io/v1/tasks","href":"/docs/list-tasks"},{"title":"Get Task","api":"GET https://api.lobstr.io/v1/tasks/{task_hash}","href":"/docs/get-task"},{"title":"Delete Task","api":"DELETE https://api.lobstr.io/v1/tasks/{task_hash}","href":"/docs/delete-task"}]},{"group":"Run","pages":[{"title":"Start Run","api":"POST https://api.lobstr.io/v1/runs","href":"/docs/start-run"},{"title":"List Runs","api":"GET https://api.lobstr.io/v1/runs","href":"/docs/list-runs"},{"title":"Get Run","api":"GET https://api.lobstr.io/v1/runs/{run_hash}","href":"/docs/get-run"},{"title":"Get Run Stats","api":"GET https://api.lobstr.io/v1/runs/{run_hash}/stats","href":"/docs/get-run-stats"},{"title":"Get Run Credits","api":"GET https://api.lobstr.io/v1/runs/{run_hash}/credits","href":"/docs/get-run-credits"},{"title":"Get Run Tasks","api":"GET https://api.lobstr.io/v1/runtasks","href":"/docs/get-run-tasks"},{"title":"Retry Run Task","api":"POST https://api.lobstr.io/v1/runs/{run_hash}/tasks/{task_hash}/retry","href":"/docs/retry-run-task"},{"title":"Resurrect Run","api":"POST https://api.lobstr.io/v1/runs/{run_key}/resurrect","href":"/docs/resurrect-run"},{"title":"Abort Run","api":"POST https://api.lobstr.io/v1/runs/{run_hash}/abort","href":"/docs/abort-run"},{"title":"Download Run","api":"GET https://api.lobstr.io/v1/runs/{run_hash}/download","href":"/docs/download-run"}]},{"group":"Result","pages":[{"title":"Get Results","api":"GET https://api.lobstr.io/v1/results","href":"/docs/get-results"}]}]},{"tab":"Examples","pages":[{"title":"Examples","href":"/examples"}]},{"tab":"Developer Tools","pages":[{"title":"Developer Tools","href":"/docs/sdk"}]},{"tab":"Changelog","pages":[{"title":"Changelog","href":"/changelog"}]}]},"title":"Configure Squid Chain - lobstr.io","buildId":"dpl_DFJrtvUi8HS5F9nkooKuDJsuD5BM","deploymentId":"dpl_DFJrtvUi8HS5F9nkooKuDJsuD5BM","dynamics":["c2aa737661","2b790eda92","b0f84f53ff"],"chunks":["OpenApiReferenceProvider-rfhihCWU.js","utils-BmH1XFxk.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-BcNsxPKB.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-BAES3tkd.js","snippetPresets-DCMQBKLP.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","ApiExamples-D6l_bzE9.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-BOktbnNh.js","shallow-BCs8SgM7.js","getApiPlaygroundDisplay-DEmW5bJB.js","CodeSnippet-CpZOpB9C.js","CodeSnippets-BOBDqibl.js","Page-D5fEM6aW.js","getPastedJson-DH2JBvmr.js","icon-BBJH-kKh.js","MethodPill-D2Sd5NLC.js","DuplicateIcon-CGgfL2qN.js","createIcon-BKudBBzi.js","DynamicMarkdown-85clUA0i.js","SectionHeading-D0JiMgDx.js","axios-vUo_bRtp.js"]}